<template>
	<ul class="u-nolist" :class="$style['carouselTabWrapper']" v-bind="$attrs" v-on="$listeners">
		<li v-for="(pageNum, i) in tabItems" :key="i" :class="$style['tab-wrapper']">
			<button
				:aria-label="`Go to ${getSlideTitle(i)}`"
				:aria-current="String(currentSlide === i)"
				:class="currentSlide === i ? $style['tab--active'] : $style.tab"
				@click="$emit('switchslide', i)"
			>
				{{ pageNum.slideTitle }}
			</button>
		</li>
	</ul>
</template>

<script>
export default {
	props: {
		numberOfSlides: {
			type: Number,
			required: true,
		},

		tabItems: {
			type: Array,
			default: () => [],
		},

		currentSlide: {
			type: Number,
			required: true,
		},

		getSlideTitle: {
			type: Function,
			required: true,
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.carouselTabWrapper {
	position: absolute;
	top: 3rem;
	right: 0;
	left: 0;
	display: flex;
	justify-content: center;

	@include above('medium') {
		top: 6rem;
		right: auto;
		left: 4rem;
	}
}

.tab-wrapper {
	padding: 0 2.5rem;
	border-right: 1px solid #00000050;

	&:last-child {
		border-right: none;
	}
}

.tab {
	font-size: 2.5rem;
	font-weight: 300;
	color: #00000050;
}

.tab--active {
	composes: tab;
	color: color('primary');
}
</style>
